Show / Hide Table of Contents

# Class OpenIddictMongoDbOptions

Provides various settings needed to configure the OpenIddict MongoDB integration.

##### Inheritance

System.Object
OpenIddictMongoDbOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.MongoDb

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictMongoDbOptions

### Properties

#### ApplicationsCollectionName

Gets or sets the name of the applications collection (by default, openiddict.applications).

##### Declaration

    public string ApplicationsCollectionName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### AuthorizationsCollectionName

Gets or sets the name of the authorizations collection (by default, openiddict.authorizations).

##### Declaration

    public string AuthorizationsCollectionName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Database

Gets or sets the used by the OpenIddict stores. If no value is explicitly set, the database is resolved from the DI container.

##### Declaration

    public IMongoDatabase? Database { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<IMongoDatabase> |

#### ScopesCollectionName

Gets or sets the name of the scopes collection (by default, openiddict.scopes).

##### Declaration

    public string ScopesCollectionName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokensCollectionName

Gets or sets the name of the tokens collection (by default, openiddict.tokens).

##### Declaration

    public string TokensCollectionName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |